#include "rlibc.h"
#include <string.h>


int DFGetTOut ( void )
{
	return (get_timeout());
}

int DFHardwareTest ( char *testno, char *status )
{
	int wynik;
	char *bufor="  ";

	if (strlen(testno)!=2 )
		return (R4);
	wynik=podaj_rozkaz("T1");
	if (wynik!=I1)
		return (wynik);
	if (sendport(2,testno)==-1)
		return(R0);
	while (1)
		if (recvport(2,bufor)==-1)
		{
			if ( mk_kbhit() )
				return (R1);
		}
		else
		{
			if (recvport(6,status)==-1)
				return(R0);
			return (mk_translate(bufor));
		}
}

int DFFiscalTest ( char *type, char *numer, char *bnumer, char *value )
{
	int wynik;
	char *bufor="                             ";

	if (strlen(type)!=1 || strlen(numer)!=4 || strlen(bnumer)!=2 ||
		strlen(value ) != 3 )
		return (R4);
	wynik=podaj_rozkaz("L2");
	if (wynik!=I1)
		return (wynik);
	bufor[0] = 0;
	strcat( bufor, type );
	strcat( bufor, numer );
	strcat( bufor, bnumer );
	strcat( bufor, value );
	if (sendport(10,bufor)==-1)
		return(R0);
	if (recvport(2,bufor)==-1)
		return (R1);
	bufor[2] = 0;
	return (mk_translate(bufor));
}

int DFGetFiscal ( char *type, char *numer, char *bnumer, char *value )
{
	int wynik;
	char *bufor="                             ";

	if (strlen(type)!=1 || strlen(numer)!=4 || strlen(bnumer)!=2 )
		return (R4);
	wynik=podaj_rozkaz("L3");
	if (wynik!=I1)
		return (wynik);
	bufor[0] = 0;
	strcat( bufor, type );
	strcat( bufor, numer );
	strcat( bufor, bnumer );
	if (sendport(7,bufor)==-1)
		return(R0);
	if (recvport(2,bufor)==-1)
		return (R0);
	if (recvport(3,value)==-1)
		return(R0);
	value[3] = 0;
	bufor[2] = 0;
	return (mk_translate(bufor));
}


int DFGetCode ( char *kod )
{
	int wynik;
	char *bufor="  ";

	wynik=podaj_rozkaz("K3");
	if (wynik!=I1)
		return (wynik);
	if (recvport(2, kod)==-1)
		return (R0);
	kod[2]=0;
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}

int DFGetVatRates ( char *vatrates )
{
	int wynik;
	char *bufor="  ";

	wynik=podaj_rozkaz("D2");
	if (wynik!=I1 )
		return (wynik);
	if (recvport(8, vatrates)==-1)
		return (R0);
	vatrates[8]=0;
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}

int DFTowarInfo ( char *nazwa, char *st )
{
	int wynik;
	char *bufor="  ";

	wynik=podaj_rozkaz("L5");
	if (wynik!=I1)
		return (wynik);
	if (sendport(18, nazwa)==-1)		
		return (R0);	
	if (recvport(2, bufor)==-1)
		return (R0);
	if (mk_translate(bufor)!= 1)
		return (mk_translate(bufor));
	if (recvport(5, st)==-1)
		return (R0);
	st[3]=0;
	return(1);
}


int DFGetTTime ( char *tresc )
{
	int wynik;
	char *bufor="  ";

	wynik=podaj_rozkaz("C2");
	if (wynik!=I1)
		return (wynik);
	if (recvport(2, tresc)==-1)
		return (R0);
	tresc[2]=0;
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}

int DFGetSymbol ( char *symbol )
{
	int wynik;
	char *bufor="  ";

	wynik=podaj_rozkaz("I2");
	if (wynik!=I1)
		return (wynik);
	if (recvport(5, symbol)==-1)
		return (R0);
	symbol[5]=0;
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}

int DFGetHeader ( char *tresc )
{
	int wynik;
	char *bufor="  ";

	wynik=podaj_rozkaz("N3");
	if (wynik!=I1)
		return (wynik);
	if (recvport(144, tresc)==-1)
		return (R0);
	tresc[144]=0;
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}



int DFGetFooter ( char *tresc )
{
	int wynik;
	char *bufor="  ";

	wynik=podaj_rozkaz("N4");
	if (wynik!=I1)
		return (wynik);
	if (recvport(144, tresc)==-1)
		return (R0);
	tresc[144]=0;
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}



int DFGetTimDat ( char *data, char *czas )
{
	int wynik;
	char *bufor="  ";

	wynik=podaj_rozkaz("U5");
	if (wynik!=I1)
		return (wynik);
	if (recvport(6, data)==-1)
		return (R0);
	data[6]=0;
	if (recvport(4, czas)==-1)
		return (R0);
	czas[4]=0;
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}

int DFGetSerwis ( char *stat )
{
	int wynik;
	char *bufor="  ";

	wynik=podaj_rozkaz("I3");
	if (wynik!=I1)
		return (wynik);
	if (recvport(2, stat)==-1)
		return (R0);
	stat[2]=0;
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}
