#ifndef __RLIBC_H
#define __RLIBC_H

#include "../rlibc/rs232.h"
#include "df_face.ch"

extern char convtype[3];

int podaj_rozkaz ( char *rozkaz ) ;
int mk_translate ( char *source ) ;
int mk_kbhit( void );

int DFTimeOut ( int timeout ) ;
int DFStart ( unsigned int port ) ;
int DFSetTTime ( char *czas ) ;
int DFSetCode ( char *kod ) ;
int DFSetHeader ( char *tresc ) ;
int DFSetFooter ( char *tresc ) ;
int DFSetVatRates ( char *stawki ) ;
int DFSetUnique ( char *unikat ) ;
int DFSetNIP ( char *NIP ) ;
int DFSetDate ( char *data ) ;
int DFSetTime ( char *czas ) ;
int DFSetSymbol ( char *symbol ) ;
int DFSetUserTime ( char *st );

int DFGetTTime ( char *czas ) ;
int DFGetTOut ( void ) ;
int DFGetCode ( char * ) ;
int DFGetHeader ( char *tresc ) ;
int DFGetFooter ( char *tresc ) ;
int DFGetTimDat ( char *data, char *czas ) ;
int DFGetVatRates ( char *vatrates );
int DFGetSymbol ( char *symbol ) ;
int DFGetSerwis ( char *stat );
int DFHardwareTest ( char *testno, char *status );
int DFFiscalTest ( char *type, char *numer, char *bnumer, char *value );
int DFGetFiscal ( char *type, char *numer, char *bnumer, char *value );
int DFTowarInfo ( char *nazwa, char *st );

int DFPrintPeriod ( char *data1, char *data2) ;
int DFSendPeriodStart ( char *data1, char *data2 ) ;
int DFSendPeriodCont ( char *line );
int DFPrintDay ( void ) ;

int DFStartTran ( void ) ;
int DFAdd ( char *nazwa, char *indeks, char *cena, char *ilosc, char *rabat ) ;
int DFCancel ( void ) ;
int DFCancelTran ( void ) ;
int DFCross ( char *nazwa ) ;
int DFFinish ( char *suma ) ;
int DFPrParf ( char *forma, char *kwotag, char *kwotar ) ;
int DFPrPokw ( char *forma, char *kwota );

#endif
