#include <extend.h>
#include "../rlibc/rlibc.h"

CLIPPER dfSendPort( void )
{
	if (PCOUNT<2)
	{
		_retni(R4);
		return;
	}
	_retni(sendport( _parni(1), _parc(2) ));
}

CLIPPER dfRecvPort( void )
{
	if (PCOUNT<2)
	{
		_retni(R4);
		return;
	}
	_retni(recvport( _parni(1), _parc(2) ));
}

CLIPPER dfGetTOut ( void )
{
	_retni(DFGetTOut());
}

CLIPPER dfHTest ( void )
{
	int wynik;
	char bufor[7];

	if (PCOUNT<1)
	{
		_retni(R4);
		return;
	}
	wynik=DFHardwareTest(_parc(1),bufor);
	_storc(bufor, 2);
	_retni(wynik);
}

CLIPPER dfFTest ( void )
{
	int wynik;

	if (PCOUNT<4)
	{
		_retni(R4);
		return;
	}
	wynik=DFFiscalTest(_parc(1),_parc(2),_parc(3),_parc(4));
	_retni(wynik);
}

CLIPPER dfGFTest ( void )
{
	int wynik;
	char bufor[4];

	if (PCOUNT<4)
	{
		_retni(R4);
		return;
	}
	wynik=DFGetFiscal(_parc(1),_parc(2),_parc(3),bufor);
	_storc(bufor, 4 );
	_retni(wynik);
}

CLIPPER dfGetCode ( void )
{
	int wynik;
	char bufor[4];

	if (PCOUNT<1)
	{
		_retni(R4);
		return;
	}
	wynik=DFGetCode(bufor);
	_storc(bufor, 1);
	_retni(wynik);
}

CLIPPER dfGetVatR ( void )
{
	int wynik;
	char bufor[9];

	if (PCOUNT<1)
	{
		_retni(R4);
		return;
	}
	wynik=DFGetVatRates(bufor);
	_storc(bufor, 1);
	_retni(wynik);
}

CLIPPER dfTowInfo ( )
{
	int wynik;
	char bufor[6];

	if (PCOUNT<2)
	{
		_retni(R4);
		return;
	}
	if (_parinfo(1)!=CHARACTER)
	{
		_retni(R4);
		return;
	}
	wynik=DFTowarInfo(_parc(1), bufor);
	_storc(bufor, 2);
	_retni(wynik);
}

CLIPPER dfGetTTime ( void )
{
	int wynik;
	char bufor[3];

	if (PCOUNT<1)
	{
		_retni(R4);
		return;
	}
	wynik=DFGetTTime(bufor);
	_storc(bufor, 1);
	_retni(wynik);
}

CLIPPER dfGetSym ( void )
{
	int wynik;
	char bufor[6];

	if (PCOUNT<1)
	{
		_retni(R4);
		return;
	}
	wynik=DFGetSymbol(bufor);
	_storc(bufor, 1);
	_retni(wynik);
}

CLIPPER dfGetHead ( void )
{
	int wynik;
	char bufor[145];

	if (PCOUNT<1)
	{
		_retni(R4);
		return;
	}
	wynik=DFGetHeader(bufor);
	_storc(bufor, 1);
	_retni(wynik);
}

CLIPPER dfGetFoot ( void )
{
	int wynik;
	char bufor[145];

	if (PCOUNT<1)
	{
		_retni(R4);
		return;
	}
	wynik=DFGetFooter(bufor);
	_storc(bufor, 1);
	_retni(wynik);
}

CLIPPER dfGetTimDa ( void )
{
	int wynik;
	char data[7];
	char czas[5];

	if (PCOUNT<2)
	{
		_retni(R4);
		return;
	}
	wynik=DFGetTimDat(data, czas);
	_storc(data, 1);
	_storc(czas, 2);
	_retni(wynik);
}

CLIPPER dfGetS ( void )
{
	int wynik;
	char bufor[3];

	if (PCOUNT<1)
	{
		_retni(R4);
		return;
	}
	wynik=DFGetSerwis(bufor);
	_storc(bufor, 1);
	_retni(wynik);
}