#include "rlibc.h"
#include <string.h>

char *rbasefilename=0L;
char convtype[3]={'M','K','T'};		/*	(mazovia, kropka, tak)				*/


int DFTimeOut ( int timeout )
{
	if (timeout<1 || timeout>520)
		return (R4);
	set_timeout(timeout);
	return (D1);
}



int DFStart ( unsigned int port )
{
	return initport(port);
}

int DFSetSymbol ( char *symbol )
{
	int wynik;
	char *bufor="  ";

	if (strlen(symbol)!=5)
		return (R4);
	wynik=podaj_rozkaz("I1");			
	if (wynik!=I1)
		return (wynik);
	if (sendport(5, symbol)==-1)		
		return (R0);
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}

int DFSetUserTime ( char *st )
{
	int wynik;
	char *bufor="  ";

	if (strlen(st)!=1)
		return (R4);
	wynik=podaj_rozkaz("K2");			
	if (wynik!=I1)
		return (wynik);
	if (sendport(1, st)==-1)		
		return (R0);
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}

int DFSetTTime ( char *czas )
{
	int wynik;
	char *bufor="  ";

	if (strlen(czas)!=2)
		return (R4);
	wynik=podaj_rozkaz("C1");			
	if (wynik!=I1)
		return (wynik);
	if (sendport(2, czas)==-1)		
		return (R0);
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}



int DFSetCode ( char *kod )
{
	int wynik;
	char *bufor="  ";

	if (strlen(kod)!=2)
		return (R4);
	wynik=podaj_rozkaz("K1");			
	if (wynik!=I1)
		return (wynik);
	if (sendport(2, kod)==-1)		
		return (R0);
	if (recvport(2, bufor)==-1)
		return (R0);
	wynik=mk_translate(bufor);
	if (wynik==D1)
		memcpy(convtype, kod, 3);
	return (wynik);
}



int DFSetHeader ( char *tresc )
{
	int wynik;
	char *bufor="  ";

	if (strlen(tresc)!=144)
		return (R4);
	wynik=podaj_rozkaz("N1");			
	if (wynik!=I1)
		return (wynik);
	if (sendport(144, tresc)==-1)	
		return (R0);
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}



int DFSetFooter ( char *tresc )
{
	int wynik;

	char *bufor="  ";
	if (strlen(tresc)!=144)
		return (R4);
	wynik=podaj_rozkaz("N2");			
	if (wynik!=I1)
		return (wynik);
	if (sendport(144, tresc)==-1)	
		return (R0);
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}



int DFSetVatRates ( char *stawki )
{
	int wynik;
	char *bufor="  ";

	if (strlen(stawki)!=8)
		return (R4);
	wynik=podaj_rozkaz("S1");			
	if (wynik!=I1)
		return (wynik);
	if (sendport(8, stawki)==-1)	
		return (R0);
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}



int DFSetUnique ( char *unikat )
{
	int wynik;
	char *bufor="  ";

	if (strlen(unikat)!=28)
		return (R4);
	wynik=podaj_rozkaz("U1");			
	if (wynik!=I1)
		return (wynik);
	if (sendport(28, unikat)==-1)	
		return (R0);
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}



int DFSetNIP ( char *NIP )
{
	int wynik;
	char *bufor="  ";

	if (strlen(NIP)!=10)
		return (R4);
	wynik=podaj_rozkaz("U2");			
	if (wynik!=I1)
		return (wynik);
	if (sendport(10, NIP)==-1)	
		return (R0);
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}



int DFSetDate ( char *data )
{
	int wynik;
	char *bufor="  ";

	if (strlen(data)!=6)
		return (R4);
	wynik=podaj_rozkaz("U3");
	if (wynik!=I1)
		return (wynik);
	if (sendport(6, data)==-1)
		return (R0);
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}



int DFSetTime ( char *czas )
{
	int wynik;
	char *bufor="  ";

	if (strlen(czas)!=4)
		return (R4);
	wynik=podaj_rozkaz("U4");
	if (wynik!=I1)
		return (wynik);
	if (sendport(4, czas)==-1)
		return (R0);
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}